org.apache.olingo.odata2.api.edm.provider

## Class ComplexProperty

- java.lang.Object
- - org.apache.olingo.odata2.api.edm.provider.Property
  - - org.apache.olingo.odata2.api.edm.provider.ComplexProperty

-     public class ComplexProperty
      extends Property

  Objects of this class represent a complex property.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexProperty()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FullQualifiedName` | `getType()`
    `ComplexProperty` | `setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)` Sets the List of `AnnotationAttribute` for this `Property`
    `ComplexProperty` | `setAnnotationElements(List<AnnotationElement> annotationElements)` Sets the List of `AnnotationElement` for this `Property`
    `ComplexProperty` | `setCustomizableFeedMappings(CustomizableFeedMappings customizableFeedMappings)` Sets the `CustomizableFeedMappings` for this `Property`
    `ComplexProperty` | `setDocumentation(Documentation documentation)` Sets the `Documentation` for this `Property`
    `ComplexProperty` | `setFacets(EdmFacets facets)` Sets the `Facets` for this `Property`
    `ComplexProperty` | `setMapping(Mapping mapping)` Sets the `Mapping` for this `Property`
    `ComplexProperty` | `setMimeType(String mimeType)` Sets the mime type for this `Property`
    `ComplexProperty` | `setName(String name)` Sets the name for this `Property`
    `ComplexProperty` | `setType(FullQualifiedName type)` Sets the `FullQualifiedName` for this `Property`

    - ### Methods inherited from class org.apache.olingo.odata2.api.edm.provider.Property

      `getAnnotationAttributes, getAnnotationElements, getCustomizableFeedMappings, getDocumentation, getFacets, getMapping, getMimeType, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComplexProperty

          public ComplexProperty()

  - ### Method Detail

    - #### getType

          public FullQualifiedName getType()

      Returns:
        `FullQualifiedName` of this property

    - #### setType

          public ComplexProperty setType(FullQualifiedName type)

      Sets the `FullQualifiedName` for this `Property`
      Parameters:
        `type` -
      Returns:
        `Property` for method chaining

    - #### setName

          public ComplexProperty setName(String name)

      Description copied from class: `Property`
      Sets the name for this `Property`
      Overrides:
        `setName` in class `Property`
      Returns:
        `Property` for method chaining

    - #### setFacets

          public ComplexProperty setFacets(EdmFacets facets)

      Description copied from class: `Property`
      Sets the `Facets` for this `Property`
      Overrides:
        `setFacets` in class `Property`
      Returns:
        `Property` for method chaining

    - #### setCustomizableFeedMappings

          public ComplexProperty setCustomizableFeedMappings(CustomizableFeedMappings customizableFeedMappings)

      Description copied from class: `Property`
      Sets the `CustomizableFeedMappings` for this `Property`
      Overrides:
        `setCustomizableFeedMappings` in class `Property`
      Returns:
        `Property` for method chaining

    - #### setMimeType

          public ComplexProperty setMimeType(String mimeType)

      Description copied from class: `Property`
      Sets the mime type for this `Property`
      Overrides:
        `setMimeType` in class `Property`
      Returns:
        `Property` for method chaining

    - #### setMapping

          public ComplexProperty setMapping(Mapping mapping)

      Description copied from class: `Property`
      Sets the `Mapping` for this `Property`
      Overrides:
        `setMapping` in class `Property`
      Returns:
        `Property` for method chaining

    - #### setDocumentation

          public ComplexProperty setDocumentation(Documentation documentation)

      Description copied from class: `Property`
      Sets the `Documentation` for this `Property`
      Overrides:
        `setDocumentation` in class `Property`
      Returns:
        `Property` for method chaining

    - #### setAnnotationAttributes

          public ComplexProperty setAnnotationAttributes(List<AnnotationAttribute> annotationAttributes)

      Description copied from class: `Property`
      Sets the List of `AnnotationAttribute` for this `Property`
      Overrides:
        `setAnnotationAttributes` in class `Property`
      Returns:
        `Property` for method chaining

    - #### setAnnotationElements

          public ComplexProperty setAnnotationElements(List<AnnotationElement> annotationElements)

      Description copied from class: `Property`
      Sets the List of `AnnotationElement` for this `Property`
      Overrides:
        `setAnnotationElements` in class `Property`
      Returns:
        `Property` for method chaining

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.